Skip to main content
GET
/
tasks
/
{id}
Get a task
curl --request GET \
  --url https://api.smokeball.com/tasks/{id} \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "matter": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "parentTask": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "createdBy": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "completedBy": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "lastUpdatedBy": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "assignees": [
    {
      "id": "<string>",
      "href": "<string>",
      "relation": "<string>",
      "method": "GET"
    }
  ],
  "subTasks": [
    {
      "id": "<string>",
      "href": "<string>",
      "relation": "<string>",
      "method": "GET"
    }
  ],
  "subject": "Review contract for John Smith",
  "note": "Contract needs to be reviewed and discussed with John",
  "categories": [
    "<string>"
  ],
  "dueDate": "2020-02-15T13:00:00Z",
  "dueDateOnly": "2020-02-15T00:00:00",
  "completedDate": "2020-02-15T13:00:00Z",
  "completedDateOnly": "2020-02-15T00:00:00",
  "createdDate": "2020-02-15T13:00:00Z",
  "createdDateOnly": "2020-02-15T00:00:00",
  "isCompleted": false,
  "isDeleted": false,
  "lastUpdated": 637847425252027400,
  "duration": "PT4H33M"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

id
string<uuid>
required

Response

When request is successful. Returns a 'Task' object.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object
matter
object

Matter associated to the task.

parentTask
object

The parent task associated to this task. Id is missing if this task is not a sub task.

createdBy
object

The staff member who created the task.

completedBy
object

The staff member who completed the task.

lastUpdatedBy
object

The staff member who last updated the task.

assignees
object[] | null

The staff member(s) assigned to the task.

subTasks
object[] | null

The tasks associated to the task.

subject
string | null

The subject - a short description of the task.

Example:

"Review contract for John Smith"

note
string | null

Notes on the task.

Example:

"Contract needs to be reviewed and discussed with John"

categories
string[] | null

Categories for the task.

dueDate
string<date-time> | null
deprecated

Deprecated. Use DueDateOnly instead.

The due date of the task in UTC.

Example:

"2020-02-15T13:00:00Z"

dueDateOnly
string<date-time> | null

The due date of the task.

The time portion will always be set to 00:00:00 and should be ignored. Only the date portion is relevant.

Example:

"2020-02-15T00:00:00"

completedDate
string<date-time> | null
deprecated

Deprecated. Use CompletedDateOnly instead.

When the task was completed in UTC.

Example:

"2020-02-15T13:00:00Z"

completedDateOnly
string<date-time> | null

The date when the task was completed.

The time portion will always be set to 00:00:00 and should be ignored. Only the date portion is relevant.

Example:

"2020-02-15T00:00:00"

createdDate
string<date-time> | null
deprecated

Deprecated. Use CreatedDateOnly instead.

When the task was created in UTC.

Example:

"2020-02-15T13:00:00Z"

createdDateOnly
string<date-time> | null

The date when the task was created.

The time portion will always be set to 00:00:00 and should be ignored. Only the date portion is relevant.

Example:

"2020-02-15T00:00:00"

isCompleted
boolean

True when the task is completed.

Example:

false

isDeleted
boolean

True when the task is deleted.

Example:

false

lastUpdated
integer<int64>

Last updated timestamp.

Example:

637847425252027400

duration
string | null

Duration of the task in ISO 8601 duration format.

Example:

"PT4H33M"